Articles of osx mavericks

Pip Install Twisted Error 1

Cuando utilizo pip install Twisted en virtualenv en Mac osx 10.9.4, obtengo este resultado: Command “python setup.py egg_info” failed with error code 1 in /private/var/folders/9r/3b500gbs3093ms87mqqbckr80000gn/T/pip-build-doynftp7/twisted/ No estoy seguro de cómo resolverlo. Usé easy_install, pero obtengo un problema de verificación SSL. Alguien tiene un problema similar? El rest del mensaje de error está abajo. Collecting twisted […]

No puedo instalar la biblioteca mysql de Python en Mac Mavericks

Estaba funcionando como un encanto antes de la actualización de Mountain Lion. Después de la actualización, se rompe y no puedo recuperar el entorno de nuevo. Sabe alguien cómo arreglar esto? El error está en negrita, abajo. fedorius@this:~$ pip install mysql-python Downloading/unpacking mysql-python Downloading MySQL-python-1.2.5.zip (108kB): 108kB downloaded Running setup.py (path:/private/var/folders/21/zjvwzn891jnf4rnp526y13200000gn/T/pip_build_fedorius/mysql-python/setup.py) egg_info for package mysql-python […]

Problema de terminal con virtualenvwrapper después de la actualización de Mavericks

Después de actualizar a OSX Mavericks, recibo este mensaje en el terminal: /usr/bin/python: No module named virtualenvwrapper virtualenvwrapper.sh: There was a problem running the initialization hooks. If Python could not import the module virtualenvwrapper.hook_loader, check that virtualenv has been installed for VIRTUALENVWRAPPER_PYTHON=/usr/bin/python and that PATH is set properly.

`Sudo pip install matplotlib` no encuentra los encabezados freetype.

Ya tengo matplotlib-1.2.1 instalado y numpy-1.8.0 . Nota: estoy usando el sistema python con homebrew instalado. Tengo $PYTHONPATH configurado, por lo que Python se carga desde /Library/Python/xy/site-packages (donde se instala pip ). Aquí está el código para instalar matplotlib (las configuraciones) BUILDING MATPLOTLIB matplotlib: yes [1.3.1] python: yes [2.7.5 (default, Aug 25 2013, 00:04:04) [GCC […]

Entorno Pycharm diferente a la línea de comando

Tengo un problema para que mi entorno Pycharm coincida con el entorno que tengo en la línea de comandos. Recientemente quité python y lo reinstalé vía home brew. El python en mi ruta está apuntando a /usr/local/bin/python . Agregué PATH=/usr/local/bin:$PATH al comienzo de mi archivo .bash_profile y puedo ejecutar el siguiente código correctamente en el […]

xcrun / lipo se congela con OS X Mavericks y XCode 4.x

Intenté instalar psycopg2 con easy_install o pip, y el terminal se atasca en un bucle entre xcrun y lipo. sidwyn$ sudo easy_install psycopg2 Searching for psycopg2 Reading https://pypi.python.org/simple/psycopg2/ Reading http://initd.org/psycopg/ Reading http://initd.org/projects/psycopg2 Best match: psycopg2 2.5.1 Downloading https://pypi.python.org/packages/source/p/psycopg2/psycopg2-2.5.1.tar.gz#md5=1b433f83d50d1bc61e09026e906d84c7 Processing psycopg2-2.5.1.tar.gz Writing /tmp/easy_install-dTk7cd/psycopg2-2.5.1/setup.cfg Running psycopg2-2.5.1/setup.py -q bdist_egg –dist-dir /tmp/easy_install-dTk7cd/psycopg2-2.5.1/egg-dist-tmp-4jaXas clang: warning: argument unused during comstacktion: ‘-mno-fused-madd’ […]

Python post osx notification

Utilizando python, deseo publicar un mensaje en el Centro de notificaciones OSX. ¿Qué biblioteca necesito usar? ¿Debo escribir un progtwig en objectivo-c y luego llamar a ese progtwig desde Python? actualizar ¿Cómo accedo a las funciones del centro de notificaciones para 10.9, como los botones y el campo de texto?

Error de tiempo de ejecución de lxml: Motivo: Versión de biblioteca incompatible: etree.so requiere la versión 12.0.0 o posterior, pero libxml2.2.dylib proporciona la versión 10.0.0

Tengo un problema desconcertante. He utilizado mac versión 10.9, anaconda 3.4.1, python 2.7.6. Desarrollo de aplicación web con python-amazon-product-api. He superado un obstáculo sobre la instalación de lxml, que hace referencia al error de Clang: argumento desconocido: ‘-mno-fused-madd’ (error de instalación del paquete Python) pero ocurrió otro error de ejecución. Aquí está la salida del […]

instalación de pip /usr/local/opt/python/bin/python2.7: mal intérprete: no existe tal archivo o directorio

No sé cuál es el problema, pero estoy atascado siguiendo algunas soluciones de stackoverflow que no llegan a ningún lado. ¿Puedes por favor ayudarme en esto? Monas-MacBook-Pro:CS764 mona$ sudo python get-pip.py The directory ‘/Users/mona/Library/Caches/pip/http’ or its parent directory is not owned by the current user and the cache has been disabled. Please check the permissions […]

Python se bloquea al ejecutar dos comandos (Fallo de segmentación: 11)

El intérprete de Python se bloquea cuando ejecuto el segundo comando. He buscado en la web por este error y no encontré nada. El error se muestra a continuación: Python 2.7.5 (v2.7.5:ab05e7dd2788, May 13 2013, 13:18:45) [GCC 4.2.1 (Apple Inc. build 5666) (dot 3)] on darwin Type “help”, “copyright”, “credits” or “license” for more information. […]